Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 74735 - [xirc2ps_cs] vfree(): sleeping in interrupt!!
Summary: [xirc2ps_cs] vfree(): sleeping in interrupt!!
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-01 09:28 UTC by diego.santacruz
Modified: 2013-07-03 02:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:57 UTC


Attachments (Terms of Use)
Relevant kernel/system messages at the time of the card ejection (deleted)
2002-10-01 09:29 UTC, diego.santacruz
no flags Details

Description diego.santacruz 2002-10-01 09:28:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020916

Description of problem:
Catched this message from the kernel when Xircom CEM56 pcmcia card
is removed without running cardctl eject before.

Version-Release number of selected component (if applicable): 2.4.18-10


How reproducible:
Sometimes

Steps to Reproduce:
1. insert Xircom CEM56 (CreditCard Ethernet 10/100 + Modem 56) card
2. wait until all pcmcia/network initialization is complete
3. remove the card from the pcmcia slot.
	

Actual Results:  Kernel complains about a vfree(): sleeping in interrupt!!

Expected Results:  No kernel complaints

Additional info:

The Xircom CEM56 uses the xirc2ps_cs driver.
I will upload the relevant kernel logs next.

Comment 1 diego.santacruz 2002-10-01 09:29:08 UTC
Created attachment 77804 [details]
Relevant kernel/system messages at the time of the card ejection

Comment 2 Mike McLean 2003-02-07 20:38:38 UTC
* -re0203.nightly
this seeing this with kernel-2.4.20-2.30

Comment 3 Alan Cox 2003-06-27 22:04:21 UTC
*** Bug 97283 has been marked as a duplicate of this bug. ***

Comment 4 Bugzilla owner 2004-09-30 15:39:57 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.